package com.unis.base.server.service;

import com.github.pagehelper.PageInfo;
import com.unis.base.common.vo.*;

import java.util.List;

public interface PersonMeetingService {
//    void saveMeeting(PersonMeetingVO personMeetingVO);

    PageInfo<TrainVO> pageMeeting(Integer pageNum, Integer pageSize, String trainName, String status, String trainPersonDeptCode);

//    List<PersonMeetingVO> selectMeeting(String meetingName);

    List<MeetingRecordVO> meetingRecodrd(PageRecordSVO recordVO);

    PageInfo<ResultRecodrdVO> meetingResultRecodrd(PageResultRecodrdVO resultRecodrdVO);

    PageInfo<InsertRecordVO> PersonmeetingRecodrd(MeetingRecodrdVO meetingRecodrdVO);

    void SavePersonmeetingRecodrd(InRecordVO inRecordVO);

    PageInfo<CountPersonVO> CountPersonmeetingRecodrd(CountPersonmeetingVO countPersonmeetingVO);

    List<MeetingRecordVO> meetingDetialRecodrd(TrainDetialVO trainDetialVO);

    void inmeetingDetialRecodrd(SaveRecordVO saveRecordVO);

    List<MeetingRecordVO> sentPersonmeetingRecodrd(String fid);

    void delPersonmeetingRecodrd(InsertRecordVO insertRecordVO);

    List<MainRecordVO> commeetingDetialRecodrd(String fid);

    void deletmeetingDetialRecodrd(DelGetRecordVO getRecordVO);

    PageInfo<TrainMainVo> pageInfoForPx(TrainMainQueryVo viewObj, Integer pageNum, Integer pageSize);
}
